( cd boot ; rm -rf System.map )
( cd boot ; ln -sf System.map-6.12.47 System.map )
( cd boot ; rm -rf config )
( cd boot ; ln -sf config-6.12.47.x64 config )
( cd boot ; rm -rf vmlinuz )
( cd boot ; ln -sf vmlinuz-6.12.47 vmlinuz )
( cd boot ; rm -rf vmlinuz-generic )
( cd boot ; ln -sf vmlinuz-6.12.47 vmlinuz-generic )
( cd lib/modules/6.12.47 ; rm -rf build )
( cd lib/modules/6.12.47 ; ln -sf /usr/src/linux-6.12.47 build )

export KERNEL=/boot/vmlinuz-6.12.47
export KERNEL_DOINST=true
# Only run this if we aren't in the installer.
# We'll do these things after the install.
# First we'll check for an old version of setup.01.mkinitrd. If we find one,
# let's skip all this. We could be upgrading from 15.0...
if [ -r var/lib/pkgtools/setup/setup.01.mkinitrd ]; then
  if ! grep -wq vmlinuz-generic-smp var/lib/pkgtools/setup/setup.01.mkinitrd 2> /dev/null ; then
    if [ -z "$INSIDE_INSTALLER" ]; then
      # Generate the initrd and remove orphaned initrds.
      # Options (including disabling this) may be found in /etc/default/geninitrd.
      if [ -x usr/sbin/geninitrd ]; then
        usr/sbin/geninitrd
      fi
    fi
  fi
fi
